Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
swish
aid_account_settings_connections_swish_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/swish \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signup": {
    "legal_name": "<string>",
    "organization_number": "123456789MVA",
    "website": "<string>",
    "payment_options": [
      {
        "currencies": [
          "SEK"
        ],
        "type": "swish.swish"
      }
    ],
    "business_name": "<string>",
    "bank_name": "<string>",
    "account_number": "<string>"
  }
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "status": "pending",
  "events": [
    {
      "status": "pending",
      "event": "signature_required",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "description": "Vipps awaiting signature",
      "metadata": {
        "signature_link": "https://sig.example.com/K34K244"
      }
    }
  ],
  "schema": 123,
  "configuration": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "swish.swish"
      }
    ],
    "swish_number": "1231182293"
  },
  "signups": [
    {
      "type": "direct",
      "created_at": "<string>",
      "callback_at": "<string>",
      "data": {
        "business_name": "<string>",
        "legal_name": "<string>",
        "organization_number": "<string>",
        "bank_name": "<string>",
        "account_number": "<string>",
        "website": "<string>",
        "case_id": "<string>",
        "swish_number": "<string>",
        "payment_options": [
          {
            "currencies": [
              "<string>"
            ],
            "type": "swish.swish"
          }
        ]
      }
    }
  ],
  "signup": {
    "legal_name": "<string>",
    "organization_number": "123456789MVA",
    "website": "<string>",
    "payment_options": [
      {
        "currencies": [
          "SEK"
        ],
        "type": "swish.swish"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "business_name": "<string>",
    "bank_name": "<string>",
    "account_number": "<string>",
    "callback_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
signup
object
required

Response

Swish connection

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

metadata
object

A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.

status
enum<string>

The status of the connection

Available options:
pending,
enabled,
failed,
declined
events
object[]

List of events recorded, an event is created when the connection is updated with new status

schema
number
read-only

The version of the schema used for the connection

configuration
object

Swish configuration for the merchant

The Collector configuration includes a password stored safely and never exposed

signups
object[]
signup
object

Deprecated, replaced by signups

Last modified on May 12, 2026